curl --request POST \
--url https://api.streamkap.com/flink_jobs/pyflink \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'python_file=<string>'{
"_id": "<string>",
"name": "<string>",
"job_type": "pyflink",
"status": "CREATED",
"flink_job_name": "<string>",
"flink_job_id": "<string>",
"parallelism": 1,
"created_by": "<string>",
"created_timestamp": "2023-11-07T05:31:56Z",
"updated_timestamp": "2023-11-07T05:31:56Z"
}Deploy a PyFlink job.
Either upload a Python file as multipart OR provide inline python_code as a form field. Form fields: name, parallelism (default 1), job_args (JSON string), python_code (alternative to file).
curl --request POST \
--url https://api.streamkap.com/flink_jobs/pyflink \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'python_file=<string>'{
"_id": "<string>",
"name": "<string>",
"job_type": "pyflink",
"status": "CREATED",
"flink_job_name": "<string>",
"flink_job_id": "<string>",
"parallelism": 1,
"created_by": "<string>",
"created_timestamp": "2023-11-07T05:31:56Z",
"updated_timestamp": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
pyflink, jar CREATED, DEPLOYING, RUNNING, FAILED, CANCELLED, FINISHED Was this page helpful?